//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------

#include "danImage.h"
extern "C" __declspec(dllexport) char *getName();
extern "C" __declspec(dllexport) char *getInfo();
extern "C" __declspec(dllexport) danImage *filterFunction(danImage *src);

// Specify Name & Description (no more than 20 characters!!)
char name[21] = "Green Filter";
char desc[21] = "Green Component";

//---------------------------------------------------------------------------
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
        return 1;
}
//---------------------------------------------------------------------------
char *getName()
{
        return name;
}

char *getInfo()
{
        return desc;
}

//---------------------------------------------------------------------------


danImage *filterFunction(danImage *src)
{
    danImage *temp;
    int x, y;

    temp = new danImage;

    temp->setWidth(src->getWidth());
    temp->setHeight(src->getHeight());

    for (x=0; x<src->getWidth(); x++)
    {
        for (y=0; y<src->getHeight(); y++)
                temp->setPixel(x,y,0,src->getPixelGreen(x,y),0);
    }
    return temp;
}
//---------------------------------------------------------------------------
