//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
//   Important note about DLL memory management when your DLL uses the
//   static version of the RunTime Library:
//
//   If your DLL exports any functions that pass String objects (or structs/
//   classes containing nested Strings) as parameter or function results,
//   you will need to add the library MEMMGR.LIB to both the DLL project and
//   any other projects that use the DLL.  You will also need to use MEMMGR.LIB
//   if any other projects which use the DLL will be perfomring new or delete
//   operations on any non-TObject-derived classes which are exported from the
//   DLL. Adding MEMMGR.LIB to your project will change the DLL and its calling
//   EXE's to use the BORLNDMM.DLL as their memory manager.  In these cases,
//   the file BORLNDMM.DLL should be deployed along with your DLL.
//
//   To avoid using BORLNDMM.DLL, pass string information using "char *" or
//   ShortString parameters.
//
//   If your DLL uses the dynamic version of the RTL, you do not need to
//   explicitly add MEMMGR.LIB as this will be done implicitly for you
//---------------------------------------------------------------------------
// USERES("invertFunc.res");
//---------------------------------------------------------------------------
#include "danImage.h"
extern "C" __declspec(dllexport) char *getName();
extern "C" __declspec(dllexport) char *getInfo();
extern "C" __declspec(dllexport) danImage *filterFunction(danImage *src);

// Specify Name & Description (no more than 20 characters!!)
char name[21] = "Invert Filter";
char desc[21] = "By Dan B, March 2000";

//---------------------------------------------------------------------------
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
        return 1;
}
//---------------------------------------------------------------------------
char *getName()
{
        return name;
}

char *getInfo()
{
        return desc;
}

//---------------------------------------------------------------------------


danImage *filterFunction(danImage *src)
{
    danImage *temp;
    int x, y;

    temp = new danImage;

    temp->setWidth(src->getWidth());
    temp->setHeight(src->getHeight());

    for (x=0; x<src->getWidth(); x++)
    {
        for (y=0; y<src->getHeight(); y++)
                temp->setPixel(x,y,src->getPixelRed(x,y),0,0);
    }
    return temp;
}
//---------------------------------------------------------------------------
