//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <assert.h>
#pragma hdrstop

//---------------------------------------------------------------------------

class danImage{
private:
		int	width, height, spp, bps;      
		TPicture 	*pic;
public:

		int getWidth(){return pic->Bitmap->Width;}
            	int getHeight(){return pic->Bitmap->Height;}
                int getSpp(){return spp;}
                int getBps(){return bps;}
                void setSpp(int s){spp = s;}
                void setBps(int b){bps = b;}
	        void setWidth(int w){pic->Bitmap->Width = w;}
	        void setHeight(int h){pic->Bitmap->Height = h;}
		void setPixel(int x, int y, int red, int green, int blue);
		int getPixelRed(int x, int y);
		int getPixelGreen(int x, int y);
		int getPixelBlue(int x, int y);
		TPicture 	*getPic(){return pic;}
		void		setPic(TPicture *p){pic = p;}
	        danImage();
};

danImage::danImage()
{
	pic = new TPicture;
        width = 0;
        height = 0;
        spp = 0;
        bps = 0;
}

void danImage::setPixel(int x, int y, int red, int green, int blue)
{
	assert(x>=0);
	assert(x<pic->Width);
	assert(y>=0);
	assert(y<pic->Height);
	assert(red>=0);
	assert(red<256);
	assert(green>=0);
	assert(green<256);
	assert(blue>=0);
	assert(blue<256);
	
	pic->Bitmap->Canvas->Pixels[x][y] = (Graphics::TColor)RGB(red, green, blue);
}

int danImage::getPixelRed(int x, int y)
{
	return GetRValue(pic->Bitmap->Canvas->Pixels[x][y]);
}

int danImage::getPixelGreen(int x, int y)
{
	return GetGValue(pic->Bitmap->Canvas->Pixels[x][y]);
}

int danImage::getPixelBlue(int x, int y)
{
	return GetBValue(pic->Bitmap->Canvas->Pixels[x][y]);
}
